Index: trunk/SRC/Documentation/xmldoc/all_plots_docbook.xsl
===================================================================
--- trunk/SRC/Documentation/xmldoc/all_plots_docbook.xsl	(revision 79)
+++ trunk/SRC/Documentation/xmldoc/all_plots_docbook.xsl	(revision 79)
@@ -0,0 +1,92 @@
+<?xml version="1.0" encoding="iso-8859-1" ?>
+<!--
+module : 
+generation of a docbook file for display all plots of firtsteps.xml
+
+original location :
+++/Documentation/xmldoc/all_plots_docbook.xsl
+
+update :
+en cours de map
+fplod 2006-05-17T09:59:52Z aedon.lodyc.jussieu.fr (Darwin)
+-->
+
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+
+<xsl:output 
+ method="xml" 
+ indent="yes" 
+ encoding="iso-8859-1"
+ omit-xml-declaration="no"
+ doctype-public="-//OASIS//DTD DocBook XML V4.2//EN"
+ doctype-system="http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd"/>
+
+ <xsl:template match="article"> 
+  <article id="all_plots" lang="en">
+  <title>All plots of SAXO demo</title>
+    <articleinfo>
+    <authorgroup>
+      <author><firstname>Sébastien</firstname><surname>Masson</surname><email>smasson_at_lodyc.jussieu.fr</email></author>
+      <author><firstname>Françoise</firstname><surname>Pinsard</surname></author>
+    </authorgroup>
+    <keywordset>
+      <keyword>idl</keyword>
+      <keyword>SAXO</keyword>
+    </keywordset>
+    </articleinfo>
+    <sect1>
+    <title>Introduction</title>
+    <para>
+blabla 
+    </para>
+    </sect1>
+    <sect1>
+    <title>All plots</title>
+
+<!-- for all ulink where url is something .png
+plot it with the title of the closest ancestor which have an id attibutes
+-->
+<xsl:for-each select="self::node()/descendant-or-self::node()/child::ulink[contains(@url,'png')]">
+  <xsl:sort order="ascending" data-type="text" select="@url"/>
+  <xsl:call-template name="plot">
+      <xsl:with-param name="url" select="@url"/>
+      <xsl:with-param name="id" select="(ancestor-or-self::node()/@id)[last()]"/>
+      <xsl:with-param name="title" select="(ancestor-or-self::node()/title)[last()]"/>
+  </xsl:call-template>
+</xsl:for-each>
+  </sect1>
+  </article>
+ </xsl:template> 
+
+    <xsl:template name="plot"> 
+        <xsl:param name="url"/>  
+        <xsl:param name="id"/>  
+        <xsl:param name="title"/>  
+        <xsl:element name="para">
+        <xsl:element name="mediaobject">
+            <xsl:element name="imageobject">
+                <xsl:element name="imagedata">
+                    <xsl:attribute name="fileref"><xsl:value-of select="$url"/></xsl:attribute>
+                    <xsl:attribute name="format">PNG</xsl:attribute>
+                    <xsl:attribute name="valign">top</xsl:attribute>
+                </xsl:element>
+            </xsl:element>
+        </xsl:element>
+        <xsl:element name="textobject">
+            <xsl:element name="phrase">
+                [plot <xsl:value-of select="$url"/>]
+            </xsl:element>
+        </xsl:element>
+        <xsl:element name="caption">
+            <xsl:element name="para">
+            cf. <xsl:element name="ulink">
+                    <xsl:attribute name="url">firststeps.html#<xsl:value-of select="$id"/></xsl:attribute>
+                <xsl:value-of select="$title"/> 
+                </xsl:element>
+                <xsl:text>in First steps with SAXO</xsl:text> <!--++ récupérer le titre de l'article -->
+            </xsl:element>
+        </xsl:element>
+        </xsl:element>
+    </xsl:template> 
+
+</xsl:stylesheet>
Index: trunk/SRC/Documentation/xmldoc/makehtml.sh
===================================================================
--- trunk/SRC/Documentation/xmldoc/makehtml.sh	(revision 78)
+++ trunk/SRC/Documentation/xmldoc/makehtml.sh	(revision 79)
@@ -1,14 +1,29 @@
 #!/bin/bash
+# fplod 2006-05-31T10:34:18Z aedon.locean-ipsl.upmc.fr (Darwin)
+# . add creation of all_plots.html using firststeps.html
+# . remplace ~/SAXO_RD/SRC/Documentation/xmldoc/figpng by ./figpng/
+# we suppose that this shell script is launched when we are in 
+# <working space of saxo>/SRC/Documentation/xmldoc/
+#
 set -u
-# ndate is the date in the file SAXO_RD_*.tar.gz
-ndate=$( echo ~/SAXO_RD/SAXO_RD_*.tar.gz )
-ndate=${ndate##*_}
-ndate=${ndate%.tar.gz}
-# ndate2 is the date in the file TestsData_*.tar.gz
-ndate2=$( echo ~/IDL/TestsData_*.tar.gz )
-ndate2=${ndate2##*_}
-ndate2=${ndate2%.tar.gz}
+#
+case "${1}" in
+   firststeps)
+      # ndate is the date in the file SAXO_RD_*.tar.gz
+      ndate=$( echo ~/SAXO_RD/SAXO_RD_*.tar.gz )
+      ndate=${ndate##*_}
+      ndate=${ndate%.tar.gz}
+      # ndate2 is the date in the file TestsData_*.tar.gz
+      ndate2=$( echo ~/IDL/TestsData_*.tar.gz )
+      ndate2=${ndate2##*_}
+      ndate2=${ndate2%.tar.gz}
+   ;;
+   *)
+      echo "iii : no ndate determination needed"
+   ;;
+esac
+
 # figures lists
-cd ~/SAXO_RD/SRC/Documentation/xmldoc/figpng
+cd ./figpng
 
 #
@@ -110,30 +125,39 @@
 done
 ##
-cd ~/SAXO_RD/SRC/Documentation/xmldoc
-szsrc=$( ls -lh ~/SAXO_RD/SRC/SAXO_RD_${ndate}.tar.gz | awk '{print $5}' )
-szdata=$( ls -lh ~/IDL/TestsData_${ndate2}.tar.gz | awk '{print $5}' )
-sed -e s/"\&date\;"/${ndate}/g \
-    -e s/"\&date2\;"/${ndate2}/g \
-    -e s/"\&szsrc\;"/${szsrc}/g \
-    -e s/"\&szdata\;"/${szdata}/g \
-    -e s/"\&figsplt_lev\;"/"${figsplt_lev}"/g \
-    -e s/"\&figsplt_orca2\;"/"${figsplt_orca2}"/g \
-    -e s/"\&figsplt_orca05\;"/"${figsplt_orca05}"/g \
-    -e s/"\&figspltz_lev\;"/"${figspltz_lev}"/g \
-    -e s/"\&figspltz_orca2\;"/"${figspltz_orca2}"/g \
-    -e s/"\&figspltz_orca05\;"/"${figspltz_orca05}"/g \
-    -e s/"\&figspltt_lev\;"/"${figspltt_lev}"/g \
-    -e s/"\&figspltt_orca2\;"/"${figspltt_orca2}"/g \
-    -e s/"\&figspltt_orca05\;"/"${figspltt_orca05}"/g \
-    -e s/"\&figsplt_lev_stride\;"/"${figsplt_lev_stride}"/g \
-    -e s/"\&figsplt_orca2_stride\;"/"${figsplt_orca2_stride}"/g \
-    -e s/"\&figsplt_orca05_stride\;"/"${figsplt_orca05_stride}"/g \
-    -e s/"\&figspltz_lev_stride\;"/"${figspltz_lev_stride}"/g \
-    -e s/"\&figspltz_orca2_stride\;"/"${figspltz_orca2_stride}"/g \
-    -e s/"\&figspltz_orca05_stride\;"/"${figspltz_orca05_stride}"/g \
-    -e s/"\&figspltt_lev_stride\;"/"${figspltt_lev_stride}"/g \
-    -e s/"\&figspltt_orca2_stride\;"/"${figspltt_orca2_stride}"/g \
-    -e s/"\&figspltt_orca05_stride\;"/"${figspltt_orca05_stride}"/g \
-    ${1}.xml > ${1}_$$.xml 
+cd .. # ie <working space of saxo>/SRC/Documentation/xmldoc
+
+case "${1}" in
+   firststeps)
+      szsrc=$( ls -lh ~/SAXO_RD/SRC/SAXO_RD_${ndate}.tar.gz | awk '{print $5}' )
+      szdata=$( ls -lh ~/IDL/TestsData_${ndate2}.tar.gz | awk '{print $5}' )
+      sed -e s/"\&date\;"/${ndate}/g \
+          -e s/"\&date2\;"/${ndate2}/g \
+          -e s/"\&szsrc\;"/${szsrc}/g \
+          -e s/"\&szdata\;"/${szdata}/g \
+          -e s/"\&figsplt_lev\;"/"${figsplt_lev}"/g \
+          -e s/"\&figsplt_orca2\;"/"${figsplt_orca2}"/g \
+          -e s/"\&figsplt_orca05\;"/"${figsplt_orca05}"/g \
+          -e s/"\&figspltz_lev\;"/"${figspltz_lev}"/g \
+          -e s/"\&figspltz_orca2\;"/"${figspltz_orca2}"/g \
+          -e s/"\&figspltz_orca05\;"/"${figspltz_orca05}"/g \
+          -e s/"\&figspltt_lev\;"/"${figspltt_lev}"/g \
+          -e s/"\&figspltt_orca2\;"/"${figspltt_orca2}"/g \
+          -e s/"\&figspltt_orca05\;"/"${figspltt_orca05}"/g \
+          -e s/"\&figsplt_lev_stride\;"/"${figsplt_lev_stride}"/g \
+          -e s/"\&figsplt_orca2_stride\;"/"${figsplt_orca2_stride}"/g \
+          -e s/"\&figsplt_orca05_stride\;"/"${figsplt_orca05_stride}"/g \
+          -e s/"\&figspltz_lev_stride\;"/"${figspltz_lev_stride}"/g \
+          -e s/"\&figspltz_orca2_stride\;"/"${figspltz_orca2_stride}"/g \
+          -e s/"\&figspltz_orca05_stride\;"/"${figspltz_orca05_stride}"/g \
+          -e s/"\&figspltt_lev_stride\;"/"${figspltt_lev_stride}"/g \
+          -e s/"\&figspltt_orca2_stride\;"/"${figspltt_orca2_stride}"/g \
+          -e s/"\&figspltt_orca05_stride\;"/"${figspltt_orca05_stride}"/g \
+          ${1}.xml > ${1}_${$}.xml 
+   ;;
+   *)
+      cp ${1}.xml ${1}_${$}.xml 
+      echo "iii : no xml transformation needed"
+   ;;
+esac
 #
 CLASSPATH="$CLASSPATH:\
@@ -144,10 +168,21 @@
 #    -o ${1}.html ${1}.xml  \
 #    /sw/share/xml/xsl/docbook-xsl/html/docbook.xsl  \
-#    use.extensions=1 section.autolabel=1 html.stylesheet="${1}.css" css.decoration=1
+#    use.extensions=1 section.autolabel=1 html.stylesheet="saxo.css" css.decoration=1
 #
 #    callout.graphics.path="/sw/share/xml/xsl/docbook-xsl/images/callouts/"
 
-java  com.icl.saxon.StyleSheet -o ${1}.html ${1}_$$.xml  \
+java  com.icl.saxon.StyleSheet -o ${1}.html ${1}_${$}.xml  \
     /sw/share/xml/xsl/docbook-xsl/html/docbook.xsl  \
-   section.autolabel=1 html.stylesheet="${1}.css" css.decoration=1
-rm -f ${1}_$$.xml
+   section.autolabel=1 html.stylesheet="saxo.css" css.decoration=1
+
+case "${1}" in
+   firststeps)
+      java  com.icl.saxon.StyleSheet -o all_plots_${$}.xml ${1}_${$}.xml  \
+      all_plots_docbook.xsl
+      java com.icl.saxon.StyleSheet -o all_plots.html all_plots_${$}.xml  \
+      /sw/share/xml/xsl/docbook-xsl/html/docbook.xsl  \
+      section.autolabel=1 html.stylesheet="saxo.css" css.decoration=1
+      rm -f all_plots_${$}.xml
+   ;;
+esac
+rm -f ${1}_${$}.xml
